<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoAmlNamesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_aml_names
         */
        Schema::create('bixo_aml_names', function ($table) {
            $table->increments('id');
            $table->string('ref', 20)->nullable();
            $table->string('name', 800)->nullable();
            $table->string('name_a', 200)->nullable();
            $table->string('name_b', 200)->nullable();
            $table->string('name_c', 200)->nullable();
            $table->string('name_d', 200)->nullable();
            $table->string('name_e', 200)->nullable();
            $table->string('name_f', 200)->nullable();
            $table->string('nationality', 100)->nullable();
            $table->string('dob', 100)->nullable();
            $table->string('passport_no', 100)->nullable();
            $table->date('passport_expiry')->nullable();
            $table->string('emirates_id', 40)->nullable();
            $table->text('description')->nullable();
            $table->string('type', 40)->nullable();
            $table->string('source', 60)->nullable();
            $table->string('source_internal', 50)->nullable();
            $table->tinyInteger('partial_scan')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_aml_names');
    }
}
