<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for name in aml package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  name module in aml package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Name',
    'names' => 'Names',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Names',
        'sub' => 'Names'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'ref'                        => 'Please enter ref',
        'name'                       => 'Please enter name',
        'name_a'                     => 'Please enter name a',
        'name_b'                     => 'Please enter name b',
        'name_c'                     => 'Please enter name c',
        'name_d'                     => 'Please enter name d',
        'name_e'                     => 'Please enter name e',
        'name_f'                     => 'Please enter name f',
        'nationality'                => 'Please enter nationality',
        'dob'                        => 'Please enter dob',
        'passport_no'                => 'Please enter passport no',
        'passport_expiry'            => 'Please select passport expiry',
        'emirates_id'                => 'Please enter emirates id',
        'description'                => 'Please enter description',
        'type'                       => 'Please enter type',
        'source'                     => 'Please enter source',
        'source_internal'            => 'Please enter source internal',
        'partial_scan'               => 'Please enter partial scan',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'ref'                        => 'Ref',
        'name'                       => 'Name',
        'name_a'                     => 'Name a',
        'name_b'                     => 'Name b',
        'name_c'                     => 'Name c',
        'name_d'                     => 'Name d',
        'name_e'                     => 'Name e',
        'name_f'                     => 'Name f',
        'nationality'                => 'Nationality',
        'dob'                        => 'Dob',
        'passport_no'                => 'Passport no',
        'passport_expiry'            => 'Passport expiry',
        'emirates_id'                => 'Emirates id',
        'description'                => 'Description',
        'type'                       => 'Type',
        'source'                     => 'Source',
        'source_internal'            => 'Source internal',
        'partial_scan'               => 'Partial scan',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
