<?php

// Routes for aml.

// Guard routes for name
Route::prefix('{guard}/aml')->group(function () {

    Route::get('name/report/{report}', 'NameReportController');
    Route::patch('name/actions/{action}', 'NameActionsController');
    Route::patch('name/action/{name}/{action}', 'NameActionController');
    Route::patch('name/workflow/{name}/{transition}', 'NameWorkflowController');
    Route::resource('name', 'NameResourceController');
});

// Guard routes for nationality
Route::prefix('{guard}/aml')->group(function () {

    Route::get('nationality/report/{report}', 'NationalityReportController');
    Route::patch('nationality/actions/{action}', 'NationalityActionsController');
    Route::patch('nationality/action/{nationality}/{action}', 'NationalityActionController');
    Route::patch('nationality/workflow/{nationality}/{transition}', 'NationalityWorkflowController');
    Route::resource('nationality', 'NationalityResourceController');
});

// Guard routes for sanction
Route::prefix('{guard}/aml')->group(function () {

    Route::get('sanction/report/{report}', 'SanctionReportController');
    Route::patch('sanction/actions/{action}', 'SanctionActionsController');
    Route::patch('sanction/action/{sanction}/{action}', 'SanctionActionController');
    Route::patch('sanction/workflow/{sanction}/{transition}', 'SanctionWorkflowController');
    Route::resource('sanction', 'SanctionResourceController');
});



// Public routes for aml
Route::get('amls/', 'AmlPublicController@index');
Route::get('aml/{slug?}', 'AmlPublicController@show');
