<?php

namespace Bixo\Aml\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Bixo\Aml\Models\Nationality;

class NationalityWorkflow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $transition,
        public Nationality $nationality,
        public array $request = [],
        public string $when = 'after'
    ) {
    }
}
