<?php

namespace Bixo\Aml\Providers;

use Litepie\Foundation\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function workflows()
    {
        return [
            \Bixo\Aml\Models\Name::class 
                => config('bixo.aml.name.workflow')        \Bixo\Aml\Models\Nationality::class 
                => config('bixo.aml.nationality.workflow')        \Bixo\Aml\Models\Sanction::class 
                => config('bixo.aml.sanction.workflow')
            ];
    }

}
