<?php


return  
    [
        'model' => [
            'model' => \Bixo\Aml\Models\Name::class,
            'table' => 'bixo_aml_names',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['ref',  'name',  'name_a',  'name_b',  'name_c',  'name_d',  'name_e',  'name_f',  'nationality',  'dob',  'passport_no',  'passport_expiry',  'emirates_id',  'description',  'type',  'source',  'source_internal',  'partial_scan',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'aml/name',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'aml::name.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'aml::name.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name_a", 
                "type" => "text", 
                "label" => 'aml::name.label.name_a', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name_b", 
                "type" => "text", 
                "label" => 'aml::name.label.name_b', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name_c", 
                "type" => "text", 
                "label" => 'aml::name.label.name_c', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name_d", 
                "type" => "text", 
                "label" => 'aml::name.label.name_d', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name_e", 
                "type" => "text", 
                "label" => 'aml::name.label.name_e', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name_f", 
                "type" => "text", 
                "label" => 'aml::name.label.name_f', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "nationality", 
                "type" => "text", 
                "label" => 'aml::name.label.nationality', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "dob", 
                "type" => "text", 
                "label" => 'aml::name.label.dob', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "passport_no", 
                "type" => "text", 
                "label" => 'aml::name.label.passport_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "passport_expiry", 
                "type" => "text", 
                "label" => 'aml::name.label.passport_expiry', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "emirates_id", 
                "type" => "text", 
                "label" => 'aml::name.label.emirates_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'aml::name.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'aml::name.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "source", 
                "type" => "text", 
                "label" => 'aml::name.label.source', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "source_internal", 
                "type" => "text", 
                "label" => 'aml::name.label.source_internal', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "partial_scan", 
                "type" => "text", 
                "label" => 'aml::name.label.partial_scan', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::name.label.ref',
                "placeholder" => 'aml::name.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::name.label.name',
                "placeholder" => 'aml::name.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name_a',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::name.label.name_a',
                "placeholder" => 'aml::name.placeholder.name_a',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name_b',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::name.label.name_b',
                "placeholder" => 'aml::name.placeholder.name_b',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name_c',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::name.label.name_c',
                "placeholder" => 'aml::name.placeholder.name_c',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name_d',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::name.label.name_d',
                "placeholder" => 'aml::name.placeholder.name_d',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name_e',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::name.label.name_e',
                "placeholder" => 'aml::name.placeholder.name_e',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name_f',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::name.label.name_f',
                "placeholder" => 'aml::name.placeholder.name_f',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'nationality',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::name.label.nationality',
                "placeholder" => 'aml::name.placeholder.nationality',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'dob',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::name.label.dob',
                "placeholder" => 'aml::name.placeholder.dob',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'passport_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::name.label.passport_no',
                "placeholder" => 'aml::name.placeholder.passport_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'passport_expiry',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'aml::name.label.passport_expiry',
                "placeholder" => 'aml::name.placeholder.passport_expiry',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'emirates_id',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::name.label.emirates_id',
                "placeholder" => 'aml::name.placeholder.emirates_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::name.label.description',
                "placeholder" => 'aml::name.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::name.label.type',
                "placeholder" => 'aml::name.placeholder.type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'source',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::name.label.source',
                "placeholder" => 'aml::name.placeholder.source',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'source_internal',
                "element" => 'text',
                "type" => 'text',
                "label" => 'aml::name.label.source_internal',
                "placeholder" => 'aml::name.placeholder.source_internal',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'partial_scan',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'aml::name.label.partial_scan',
                "placeholder" => 'aml::name.placeholder.partial_scan',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'aml/name/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'aml/name/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'aml/name',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'aml/name',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'aml/name',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'aml/name',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'aml::name.label.created_at',
            'name' => 'aml::name.label.name',
            'status' => 'aml::name.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "aml::name.groups.main",
                'group' => "main.main",
                'title' => "aml::name.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "aml::name.groups.details",
                'group' => "main.details",
                'title' => "aml::name.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "aml::name.groups.images",
                'group' => "main.images",
                'title' => "aml::name.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "aml::name.groups.settings",
                'group' => "main.settings",
                'title' => "aml::name.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Aml',
            'module' => 'Name',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Aml\Models\Name::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'aml::name.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['aml.name.copy', 'aml.name.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'aml::name.label.count',
                        "placeholder" => 'aml::name.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'aml::name.label.comment',
                        "placeholder" => 'aml::name.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'aml::name.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'aml::name.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
