<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for sanction in aml package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  sanction module in aml package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Sanction',
    'names' => 'Sanctions',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Sanctions',
        'sub' => 'Sanctions'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'deal_id'                    => 'Please enter deal id',
        'agent_id'                   => 'Please enter agent id',
        'ref'                        => 'Please enter ref',
        'deal_ref'                   => 'Please enter deal ref',
        'type'                       => 'Please enter type',
        'status'                     => 'Please enter status',
        'score'                      => 'Please enter score',
        'buyers'                     => 'Please enter buyers',
        'sellers'                    => 'Please enter sellers',
        'buyer_name'                 => 'Please enter buyer name',
        'seller_name'                => 'Please enter seller name',
        'buyer_names'                => 'Please enter buyer names',
        'seller_names'               => 'Please enter seller names',
        'aml_ids'                    => 'Please enter aml ids',
        'edd_values'                 => 'Please enter edd values',
        'notes'                      => 'Please enter notes',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'deal_id'                    => 'Deal id',
        'agent_id'                   => 'Agent id',
        'ref'                        => 'Ref',
        'deal_ref'                   => 'Deal ref',
        'type'                       => 'Type',
        'status'                     => 'Status',
        'score'                      => 'Score',
        'buyers'                     => 'Buyers',
        'sellers'                    => 'Sellers',
        'buyer_name'                 => 'Buyer name',
        'seller_name'                => 'Seller name',
        'buyer_names'                => 'Buyer names',
        'seller_names'               => 'Seller names',
        'aml_ids'                    => 'Aml ids',
        'edd_values'                 => 'Edd values',
        'notes'                      => 'Notes',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
