<?php

// Web routes  for aml.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for name

Route::prefix('{guard}/name')->group(function () {

    Route::get('/workflow/{name}/{user}', 'NameWorkflowController@get')
        ->name('bixo.aml.workflow');
    Route::post('/workflow/{name}/{user}', 'NameWorkflowController@post');

    Route::get('/action/{name}/{user}', 'NameActionController@get')
        ->name('bixo.aml.action');
    Route::post('/action/{name}/{user}', 'NameActionController@post');

});


// Workflow routes for nationality

Route::prefix('{guard}/nationality')->group(function () {

    Route::get('/workflow/{nationality}/{user}', 'NationalityWorkflowController@get')
        ->name('bixo.aml.workflow');
    Route::post('/workflow/{nationality}/{user}', 'NationalityWorkflowController@post');

    Route::get('/action/{nationality}/{user}', 'NationalityActionController@get')
        ->name('bixo.aml.action');
    Route::post('/action/{nationality}/{user}', 'NationalityActionController@post');

});


// Workflow routes for sanction

Route::prefix('{guard}/sanction')->group(function () {

    Route::get('/workflow/{sanction}/{user}', 'SanctionWorkflowController@get')
        ->name('bixo.aml.workflow');
    Route::post('/workflow/{sanction}/{user}', 'SanctionWorkflowController@post');

    Route::get('/action/{sanction}/{user}', 'SanctionActionController@get')
        ->name('bixo.aml.action');
    Route::post('/action/{sanction}/{user}', 'SanctionActionController@post');

});

