<?php

namespace Bixo\Aml\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Bixo\Aml\Models\Sanction;

class SanctionAction
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $action,
        public Sanction $sanction,
        public array $request = [],
        public string $when = 'after'
    ) {}
}
