<?php

namespace Bixo\Aml\Providers;

use Litepie\Foundation\Providers\ActionServiceProvider as ServiceProvider;

class ActionServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function actions()
    {
        return [
            \Bixo\Aml\Models\Name::class
                 => config('bixo.aml.name.actions'),
        \Bixo\Aml\Models\Nationality::class
                 => config('bixo.aml.nationality.actions'),
        \Bixo\Aml\Models\Sanction::class
                 => config('bixo.aml.sanction.actions'),

            ];
    }

}
